Name:		search4files
Version:	0.2a
Release:	1%{?dist}
Summary:	A handy file search tool

Group:		Applications/File
License:	GPL
URL:		http://software.twotoasts.de/?page=search4files
Source0:	http://software.twotoasts.de/media/%{name}/%{name}%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	desktop-file-utils
# python related
Requires:	pygtk2-libglade
Requires:	pyxdg
# search engine
Requires:	%{_bindir}/locate
Requires:	%{_bindir}/find
# search engine and icon
Requires:	beagle
# commands dependency and icons
# Nautilus pulls libgnome
Requires:	nautilus

%description
A handy file search tool using different backends which is 
configurable via the command line.

This program acts as a frontend for different file search engines. 
The interface is intentionally lightweight and simple. But it takes 
configuration options from the command line.

%prep
%setup -q -n %{name}%{version}

%build
# some configulation change
%{__sed} -i.misc \
	-e 's|666|644|' \
	-e 's|install |%{__install} -c -p |' \
	-e 's|\([^ \t][^ \t]*\).glade|-m 644 \1.glade|' \
	-e 's|pyc|py|' \
	Makefile.in

%{__sed} -i.byte \
	-e 's|pyc|py|' \
	search4files.in

%{__sed} -i.engine \
	-e 's|Nautilus|nautilus|' \
	search4files.py

# gtk import fails where DISPLAY is not set
# Actually pygtk2 is not required for build stage,
# so I disable all checking of python module
%{__sed} -i.check \
	-e '/exit(1)/d' \
	build.py

# This configure accepts only the option --prefix
# and does not accept --libdir= option
./configure --prefix=%{_prefix}

%install
%{__rm} -rf $RPM_BUILD_ROOT

# "make install" calls "make all", so
#  executing "make" in %%build stage makes no sense
#  at all.
# %%{__smp_mflags} does nothing for this makefile
%{__make} install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--delete-original \
	--vendor fedora \
	--remove-category Application \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README

%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/

%changelog
* Mon Jan  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.2a-1
- 0.2a

* Sat Dec 23 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Require pyxdg again (fc7)

* Wed Dec 20 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1e-1
- 0.1e

* Thu Dec 14 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1d-1
- 0.1d
- Disable pyxdg support on devel for now.

* Sat Dec  8 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-2
- Fix type typo

* Fri Dec  8 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> 0.1c-1
- Initial packaging to import to Fedora Extras.
